<?php
//数据库操作
$dbms='mysql';     //数据库类型 oracle 用ODI,对于开发者来说，使用不同的数据库，只要改这个，不用记住那么多的函数了
$host='localhost'; //数据库主机名
$dbName='itstudy_cn';    //使用的数据库
$user='';      //数据库连接用户名
$pass='';          //对应的密码
//$dsn="$dbms:host=$host;dbname=$dbName";

$dsn="sqlite:". PROJECT_ROOT_PATH ."App_Data/DB#deepStudy#guestBook.sqlite";
/*try {
    $dbh = new PDO($dsn, $user, $pass); //初始化一个PDO对象，就是创建了数据库连接对象$dbh
echo "连接成功<br/>";
    你还可以进行一次搜索操作
    foreach ($dbh->query('select * from test') as $row) {//查询数据库
        print_r($row); //你可以用 echo($GLOBAL); 来看到这些值
    }
    $dbh = null;//关闭数据库连接
} catch (PDOException $e) {
    die ("Error!: " . $e->getMessage() . "<br/>");
}
*/
    //默认这个不是持久连接，如果需要数据库长连接，需要最后加一个参数：array(PDO::ATTR_PERSISTENT => true) 变成这样：
try {
	//$conn = new PDO($dsn, $user, $pass, array(PDO::ATTR_PERSISTENT => true));
	$conn = new PDO($dsn);
} catch (PDOException $e) {
    die ("Error!: " . $e->getMessage() . "<br/>");
	//die("数据库服务器连接失败！或 数据库不存在或不可用！")
}
$conn->query("set names utf8");//设置数据的字符集utf-8

?>